﻿<!DOCTYPE html>
<html data-ng-app="dashboardApp">
<head>
    <title>Tigerspike Dash</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="Fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet/less" type="text/css" href="style.less" />
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.6/angular.min.js"></script>
    <script src="https://unpkg.com/masonry-layout@4/dist/masonry.pkgd.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/less.js/2.7.1/less.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.1.1.min.js"
            integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8="
            crossorigin="anonymous"></script>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://www.gstatic.com/firebasejs/3.6.1/firebase.js"></script>
</head>
<body>
    <div data-ng-controller="DashboardController as dc">

        <div class="banner">
            <img src="Images/dash-header.png" />
            <!--h1>Dash</!--h1>
            <span>{{dc.date | date:'dd MMM yyyy'}}</span>-->
        </div>

        <div>
            <div class="dashboard-container grid">

                <div class="grid-item widget widget-slack">
                    <div class="widget-header">
                        <span><i class="fa fa-slack"></i> Slack #sydney</span>
                        <hr class="widget-break" />
                    </div>
                    <div id="slack_scroll" class="widget-body widget-overflow">
                        <span id="slack_data"></span>
                    </div>
                </div>

                <div class="grid-item widget widget-calendar">
                    <div class="widget-header">
                        <span><i class="fa fa-calendar-o"></i> Today's Calendar Alerts</span>
                        <hr class="widget-break" />
                    </div>
                    <div class="widget-body" data-ng-repeat="c in dc.alerts">
                        <span class="widget-item-head" data-ng-bind="c.Date"></span>
                        <span data-ng-bind="c.Summary"></span>
                    </div>
                </div>

                <div class="grid-item widget widget-meeting">
                    <div class="widget-header">
                        <span><i class="fa fa-desktop"></i> Meeting Room Availiability</span>
                        <hr class="widget-break" />
                    </div>
                    <div class="widget-body" data-ng-repeat="r in dc.meetings">
                        <span class="widget-item-head" data-ng-bind="r.Name"></span>
                        <span data-ng-bind="r.IsInUse"></span>
                        <!--<span class="meeting-vacant">VACANT</span>
                        <span class="meeting-inuse">IN USE</span>-->
                    </div>
                </div>

                <div class="grid-item widget widget-project">
                    <div class="widget-header">
                        <span><i class="fa fa-pie-chart"></i> Project WIP Health Check</span>
                        <hr class="widget-break" />
                    </div>
                    <div class="widget-body">
                        <div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto; float: right;"></div>
                    </div>
                </div>

                <div class="grid-item widget widget-active">
                    <div class="widget-header">
                        <span><i class="fa fa-user-circle"></i> Active Slackers</span>
                        <hr class="widget-break" />
                    </div>
                    <div class="widget-body widget-overflow">
                        <span id="slackers"></span>
                    </div>
                </div>

                <div class="grid-item widget widget-project">
                    <div class="widget-header">
                        <span><i class="fa fa-paper-plane"></i> Projects In-Flight</span>
                        <hr class="widget-break" />
                    </div>
                    <div class="widget-overflow">
                        <div class="widget-body" data-ng-repeat="p in dc.projects">
                            <span class="widget-item-head" data-ng-bind="p.ProjectName"></span>
                            <span data-ng-bind="p.PrCode"></span>
                            <!--span data-ng-bind="p.Status"></span>
                            <span data-ng-bind="p.Type"></span>-->
                        </div>
                    </div>
                </div>

                <div class="grid-item widget widget-timesheet">
                    <div class="widget-header">
                        <span><i class="fa fa-bomb"></i> Timesheet Reminder</span>
                        <hr class="widget-break" />
                    </div>
                    <div class="widget-body">
                        <img src="Images/Beer.png" class="beer" height="250"/>
                    </div>
                </div>

                <div class="vision-widget">
                    <span id="vision">Welcome to Tigerspike Dash</span>
                </div>

            </div>
        </div>
    </div>
    <script>
        var app = angular.module('dashboardApp', []);

        app.controller('DashboardController', ['$http', function ($http) {
            var dc = this;
            dc.date = new Date();

            $http.get('/api/Dashboard/GetCalendarAlerts').success(function (response) {
                dc.alerts = response;
            });

            $http.get('/api/Dashboard/GetMeetingRoomAvailability').success(function (response) {
                dc.meetings = response;
            });

            $http.get('/api/Dashboard/GetProjectStatusList').success(function (response) {
                dc.projects = response;
            });
        }]);

    </script>
    <script>
        var elem = document.querySelector('.grid');
        var msnry = new Masonry(elem, {
            // options
            itemSelector: '.grid-item',
            gutter: 2,
            percentPosition: true
        });
    </script>
    <script>
        $(function () {
            Highcharts.chart('container', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: ''
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                colors: ['#52BE80', '#E74C3C', '#EB984E', '#5D6D7E'],
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: false,
                            format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                            style: {
                                color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                            }
                        }
                    }
                },
                series: [{
                    name: 'Projects',
                    colorByPoint: true,
                    data: [{
                        name: 'OK Status',
                        y: 50
                    }, {
                        name: 'High Risk',
                        y: 5,
                        sliced: true,
                        selected: true
                    }, {
                        name: 'Low Risk',
                        y: 40
                    }, {
                        name: 'On Hold',
                        y: 5
                    }]
                }]
            });
        });
    </script>
    <script>
    $.ajax({ url: 'https://slack.com/api/rtm.start?token=xoxp-6615529650-6883288913-108708882245-b6bcd9f4d3fb2713b9a7715422615c95',
	success: function(data) {
		var output="<ul>";
	    for (var i in data.users)
	    {
	    	if ( data.users[i].presence == 'active')
	    		{
	    			output+="<li><img src='" + data.users[i].profile.image_24 + "' /> " + data.users[i].name + " (" + data.users[i].profile.first_name + " " + data.users[i].profile.last_name + ")";

	    			if (data.users[i].profile.fields && data.users[i].profile.fields.Xf0JSQAFED) output+= ", " + data.users[i].profile.fields.Xf0JSQAFED.value;

	    			output+= "</li>";
	    		}
	    }
		output+="</ul>";

	    $('#slackers').html(output);
        }
    });
    </script>
    <script>
    // Initialize Firebase
    var config = {
        apiKey: "AIzaSyD8p2IfYFt9paEd5p6GWfVY4yr4K4dniyw",
        authDomain: "ts-dash.firebaseapp.com",
        databaseURL: "https://ts-dash.firebaseio.com",
        storageBucket: "ts-dash.appspot.com",
        messagingSenderId: "574899589305"
    };
    firebase.initializeApp(config);

    var commentsRef = firebase.database().ref().child('/');

    commentsRef.on('child_changed', function(d) {
        var data = d.val();
        console.log(data);
        var arrayLength = data.length;
        var newContent = "";
        for (var i = 0; i < arrayLength; i++) {
            var message = data[i]["message"];
            var image = data[i]["image"];
            var name = data[i]["user"];
            newContent = newContent + "<br><hr><img style=\"float:left;width:36px;height:36px;margin:5px\" src=\"" + image + "\"><b>" + name + "</b><br>" + message;

            var attachment = data[i]["preview"];

            if (attachment) {
                newContent = newContent + "<br><img height=\"200\" src=\"" + attachment + "\">";
            }
        }
        document.getElementById("slack_data").innerHTML = newContent;

        window.setInterval(function () {
            var elem = document.getElementById('slack_scroll');
            elem.scrollTop = elem.scrollHeight;
        }, 1000);
    });
    </script>
    <script>
        $("document").ready(function () {
        var texts = ["Our energy and passions are infectious", "Our inquisitive nature brings insight and innovation", 
            "We solve problems in remarkable ways", "We are open and straightforward", "We will end today excited by tomorrow"];
        var i = 0;
        (function runIt() {
            i++;
            $('#vision').fadeOut(60000, function() {
                $('#vision').html(texts[i % texts.length]);
                $('#vision').fadeIn(60000, function () {
                    runIt()
                });
            });
        }());
        });
    </script>
</body>
</html>
